package com.kdanmobile.admanager.mopub

import android.view.View
import com.kdanmobile.admanager.AppOpenAdListener
import com.kdanmobile.admanager.AppOpenAdManager

/**
 * MoPub not provide AppOpenAd yet
 */
class MoPubAppOpenAdManager : AppOpenAdManager {
    override var isPersonalized = true

    override fun registerAppOpenAdListener(appOpenAdListener: AppOpenAdListener) {
        // do nothing
    }

    override fun unregisterAppOpenAdListener(appOpenAdListener: AppOpenAdListener) {
        // do nothing
    }

    override fun requestAppOpenAd(adUnitId: String, orientation: AppOpenAdManager.Orientation) {
        // do nothing
    }

    override fun takeAppOpenAdView(adUnitId: String, onClosed: () -> Unit): View? {
        return null
    }

    override fun isAppOpenAdLoading(adUnitId: String): Boolean {
        return false
    }

    override fun isAppOpenAdLoaded(adUnitId: String): Boolean {
        return false
    }
}